/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *

Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/

 */



/**
 * Les variables du jeu
 * Les instances des classes
 * 
 */
var oPlayer = null;
var oLevel = null;
var oTxtInfos = null;
var oGame = null;


document.addEventListener("DOMContentLoaded", Main, false); // appel au chargement de la page


/**
 * Fonction principale
 * Appelée au chargement de la page
 * 
 */
function Main()
{
    console.log("Main");

    // creation de la zone de jeu - API Canvas
    oGame = new Phaser.Game(800, 600, Phaser.AUTO, 'idGameDiv', { preload: preload, create: create, update: update });

}


/**
 * Préchargement des éléments du jeu
 * 
 * @return {[type]} [description]
 */
function preload()
{ 
    oLevel = new Level(oGame);
    oLevel.preload();

    oPlayer = new Player(oGame);
    oPlayer.preload();

    oTxtInfos = new TexteInfos(oGame);
}



/**
 * Création de la scène du jeu,
 * mise en place des graphismes...
 * 
 * @return {[type]} [description]
 */
function create() 
{
    oGame.physics.startSystem(Phaser.Physics.ARCADE);// active les lois physiques / la gestion des collisions
    
    // ajoute les éléments dans l'ordre d'affichage (les profondeurs)
    oLevel.create();
    oTxtInfos.create();
    oPlayer.create();
}


/**
 * Appelée en continu pendant le jeu
 * 
 * @return {[type]} [description]
 */
function update() 
{
    oLevel.update();
    oPlayer.update();
}





